//-------------------------------------------------------------------//
//                                                                   //
//  UInfo Copyright (C) Glenn Rosenthal, 1998,1999.  All rights      //
//  reserved.                                                        //
//                                                                   //   
//  The KANJIDIC file this program extracts information from was     //
//  compiled by Jim Breen, who holds the copyright on it.            //
//                                                                   //
//-------------------------------------------------------------------//

#define MAX_CHARS   10000

typedef unsigned short ushort;

struct char_data {
  ushort unicode;
  ushort index;
};

class UTable {
public:
  int    read  (char *name,int u,int j);                    // Read a file.
  int    write (char *name,char *label,int (*proc)(int));   // Write a file.
private:
  int    find  (int j);                                     // Find a specific character by index
  int    parse (char *buffer);                              // Parse the data from a table line.
  int              count;                                   // Number of entries in the table
  struct char_data data[MAX_CHARS];                         // Data
};

typedef class UTable Utable;